GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions | Variables
secure_endpoint.c File Reference
`#include "src/core/security/secure_endpoint.h"`
`#include "src/core/support/string.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/slice_buffer.h>`
`#include <grpc/support/slice.h>`
`#include <grpc/support/sync.h>`
`#include "src/core/tsi/transport_security_interface.h"`
`#include "src/core/debug/trace.h"`

## Data Structures
struct | secure_endpoint

## Macros
#define | STAGING_BUFFER_SIZE 8192

## Functions
grpc_endpoint * | grpc_secure_endpoint_create (struct tsi_frame_protector *protector, grpc_endpoint *transport, gpr_slice *leftover_slices, size_t leftover_nslices)

## Variables
int | grpc_trace_secure_endpoint = 0

## Macro Definition Documentation

#define STAGING_BUFFER_SIZE 8192

## Function Documentation

grpc_endpoint* grpc_secure_endpoint_create | ( | struct tsi_frame_protector * | protector,
|  | grpc_endpoint * | transport,
|  | gpr_slice * | leftover_slices,
|  | size_t | leftover_nslices
| ) |  |

## Variable Documentation

int grpc_trace_secure_endpoint = 0